Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface MessageBrokerConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface MessageBrokerConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deployChannelPublishPolicy(String channel, Set roles)` Registers a new publish policy on a channel.
`void` | `deployChannelSubscriptionPolicy(String channel, Set roles)` Registers a new subscription policy on a channel.
`String` | `getChannelDispatchAsPrincipal(String channel)` Returns the dispatch-as principal for the channel.
`Set` | `getChannelPublishPolicy(String channel)` Returns the channel's publish policy.
`Set` | `getChannelSubscribePolicy(String channel)` Returns the channel's subscribe policy.
`void` | `setChannelDispatchAsPrincipal(String channel, String principal)` Sets the channel's dispatch-as principal.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getChannelDispatchAsPrincipal

    public String getChannelDispatchAsPrincipal(String channel)

  Returns the dispatch-as principal for the channel. If no dispatch-as has been explicitly specified, null is returned.

  Parameters:
    `channel` -
  Returns:
    the dispatch-as principal.

### setChannelDispatchAsPrincipal

    public void setChannelDispatchAsPrincipal(String channel,
                                              String principal)

  Sets the channel's dispatch-as principal.

  Parameters:
    `channel` -
    `principal` - a valid WLS username.

### getChannelPublishPolicy

    public Set getChannelPublishPolicy(String channel)

  Returns the channel's publish policy.

  Parameters:
    `channel` -
  Returns:
    an array of those global roles allowed to publish to the channel.

### getChannelSubscribePolicy

    public Set getChannelSubscribePolicy(String channel)

  Returns the channel's subscribe policy.

  Parameters:
    `channel` -
  Returns:
    an array of those global roles allowed to subscribe to the channel.

### deployChannelPublishPolicy

    public void deployChannelPublishPolicy(String channel,
                                           Set roles)
                                    throws SecurityException

  Registers a new publish policy on a channel.

  Parameters:
    `channel` -
    `roles` - array of valid global role names.
  Throws:
    `SecurityException`

### deployChannelSubscriptionPolicy

    public void deployChannelSubscriptionPolicy(String channel,
                                                Set roles)
                                         throws SecurityException

  Registers a new subscription policy on a channel.

  Parameters:
    `channel` -
    `roles` - array of valid global role names.
  Throws:
    `SecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD